Subject: Re: [PATCH] Complain about missing system calls.

From: Russell King <[email-masked]>
Date: Tue, 20 Mar 2007 10:56:41 +0000

On Tue, Mar 20, 2007 at 07:43:08AM +0000, David Woodhouse wrote:
> On Mon, 2007-03-19 at 16:42 -0700, Andrew Morton wrote:
> > hm, did you try running this on x86_64?
> 
> I don't have any. I only tested it on PowerPC and i386. Others then
> provided more exclusions for SPARC and maybe ARM, although I'm not sure
> you have the latter yet. It's not hard to add extra exclusions.

Some of the ones which come up on x86_64 also come up on ARM for the
same reason; they're obsolete system calls which probably shouldn't
be implemented on anything but legacy i386.  Things like waitpid, etc.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: